@import url('https://fonts.googleapis.com/css2?family=Audiowide&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

:root {
    --color-primary: #000b5b;
    --bg-primary-text: #fff;
}

* {
    margin: 0;
    padding: 0;
}

nav {
    background-color: var(--color-primary);
}

.menu-container, .hamburger-group {
    display: flex;
    min-height: 10dvh;
    justify-content: space-evenly;
    align-items: center;
    font-size: 2em;
}

.hamburger-group {
    display: none;
    justify-content: end;
    padding-right: 3dvw;
}

.menu-item {
    list-style: none;
}

.menu-link {
    color: #fff;
    text-decoration: none;
    padding: 5px 15px;
    border-radius: 5px;
}

.menu-link:hover {
    background-color: #fff;
    color: #000b5b;
}

.label-toggle {
    color: #fff;
}

@media (max-width: 800px) {
    .menu-container {
        display: none;
        flex-direction: column;
        gap: 20px;
        padding: 25px 0;
    }

    .hamburger-group {
        display: flex;
    }
}

nav:has(#menu-toggle:checked) .menu-container {
    display: flex;
}

#menu-toggle {
    display: none;
}

.grid {
    display: grid;
    grid-template-columns: 1fr;
    padding: 5dvh 10dvw;
    gap: 30px;
}

@media(min-width: 768px) {
    .grid-2-1 {
        grid-template-columns: 2fr 1fr;
    }

    .grid-1-1-1 {
        grid-template-columns: 1fr 1fr 1fr;
    }

    .grid-1-1 {
        grid-template-columns: 1fr 1fr;
    }
}

.bg-primary {
    background-color: var(--color-primary);
    color: var(--bg-primary-text);
}

header {
    align-items: center;
}

header img {
    width: 300px;
    border-radius: 10px;
}

p, li {
    font-size: clamp(1em, 4vh, 1.5em);
    font-family: "Roboto", sans-serif;
}

h1 {
    font-size: clamp(4em, 5vh, 3em);
    font-family: "Audiowide", sans-serif;
    font-weight: 400;
}

.title-box {
    font-size: clamp(2em, 3vh, 1em);
    font-family: "Roboto", sans-serif;
}

.v-padding {
    padding-top: 5vh;
    padding-bottom: 5vh;
}

.text-center {
    text-align: center;
}

.divider path {
    fill: #000b5b !important;
}

.shadow {
    filter: drop-shadow(0 5px 10px rgba(0,0,0,0.5));
}

nav {
    background-color: var(--color-primary);
    position: sticky;
    z-index: 1000;
    top: 0;
}

footer {
    background-color: black;
    color: #fff;
}

footer a {
    color: white;
}

footer a:hover {
    color: aqua;
}

.card {
    display: flex;
    flex-direction: column;
    gap: 2dvh;
    border-radius: 10px;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    list-style: none;
}

.card img {
    border-radius: 10px 10px 0 0;
    width: 100%;
    height: auto;
}

.card h3 {
    font-size: clamp(1em, 4vh, 2em);
    padding: 0 2dvh;
}

.card p {
    font-size: 1em;
    padding: 2dvh;
}

.gap-lg {
    gap: 50px;
}

.tag {
    background-color: var(--color-primary);
    color: #fff;
    padding: 5px 15px;
    border-radius: 15px;
}

.card:hover {
    background-color: var(--color-primary);
    color: #fff;
    filter: brightness(1.2);
}

.skill {
    font-size: 1.5em;
    font-family: "Audiowide", sans-serif;
}

.skill progress {
    border-radius: 2dvh;
    border: 0;
    width: 100%;
    height: 2dvh;
}

form {
    display: flex;
    flex-direction: column;
    gap: 1dvh;
}

label {
    font-size: 1em;
    font-family: "Roboto", sans-serif;
}

input, textarea {
    border-radius: 5px;
    border: 1px solid #3d62b3;
    padding: 2px 10px;
}

input {
    height: 3dvh;
}

textarea {
    height: 20dvh;
}

button {
    background-color: var(--color-primary);
    color: #fff;
    padding: 10px;
    font-size: 1em;
    max-width: 200px;
    border-radius: 10px;
}

button a {
    background-color: var(--color-primary);
    color: #fff;
    padding: 10px;
    font-size: 1em;
    max-width: 200px;
    border-radius: 10px;
}

main img {
    width: 500px;
    border-radius: 20px;
}

a {
    text-decoration: none;
    color: black
}

